Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
UK consumer macro indicators including consumer sentiment, food prices, and retail sales.
{ "macro": [ { "date": "2025-02-01", "series_key": "SERIES_A", "value": 62.4 }, { "date": "2025-02-01", "series_key": "SERIES_B", "value": 97.8 } ] }
Authorization
Authorization: Bearer <your-jwt-token>
Show Object properties
curl "https://api.consumersignals.io/api/macro" \ -H "Authorization: Bearer YOUR_JWT_TOKEN"
import requests response = requests.get( "https://api.consumersignals.io/api/macro", headers={"Authorization": "Bearer YOUR_JWT_TOKEN"} ) data = response.json()
const response = await fetch( "https://api.consumersignals.io/api/macro", { headers: { Authorization: "Bearer YOUR_JWT_TOKEN", }, } ); const data = await response.json();